=== docs/CMakeLists.txt ===

add_subdirectory(plasmapkg2)
