=== debian/changelog ===
plasma-framework (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:30:14 +0000

plasma-framework (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:11:23 +0000

plasma-framework (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:50:28 +0000

plasma-framework (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:19:07 +0000

plasma-framework (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:13:32 +0000

plasma-framework (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable tests.
    - Keep our symbols files.
    - libkf5plasma5 Breaks/Replaces plasma-framework (<< 5.70.1-1~)

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 13:45:04 +0000

plasma-framework (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

plasma-framework (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:21:58 +0000

plasma-framework (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Remove upstream_fix-ExpandableListitem.patch
  * Remove upstream_revert-change-busywidget-to-a-gear.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:08:41 +0000

plasma-framework (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Drop upstream patch.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 15:12:09 +0900

plasma-framework (5.85.0-4) unstable; urgency=medium

  [ Norbert Preining ]
  * Ignore a symbol on hurd (Closes: #993719)
  * Really disable BLHC of Salsa CI.
  * Bump standards version, no changes necessary.

 -- Norbert Preining <norbert@preining.info>  Sun, 05 Sep 2021 22:20:59 +0900

plasma-framework (5.85.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

plasma-framework (5.85.0-2) experimental; urgency=medium

  * Cherry-pick upstream fix for fractional scaling on X11.

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 09:31:05 +0900

plasma-framework (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:07:28 +0900

plasma-framework (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:12 +0900

plasma-framework (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:31:54 +0900

plasma-framework (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:25:08 +0900

plasma-framework (5.81.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 14 Apr 2021 08:59:44 +0900

plasma-framework (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

plasma-framework (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:36 +0900

plasma-framework (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900
