## plasma-framework 5.98.0

=== debian/changelog ===
plasma-framework (5.98.0-0ubuntu2) kinetic; urgency=medium

  * Add upstream_fix-korners.patch
    https://bugs.kde.org/438644

 -- Rik Mills <rikmills@kde.org>  Sun, 25 Sep 2022 12:52:06 +0100

plasma-framework (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:35:06 +0100

plasma-framework (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:07:31 +0100

plasma-framework (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:33:02 +0100

plasma-framework (5.95.0a-0ubuntu2) kinetic; urgency=medium

  * Add upstream_revert-dff1b0.patch to fix X11 thunbnails.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 13:42:00 +0100

plasma-framework (5.95.0a-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update kubuntu_revert-desktop-theme-coversion-to-json.patch
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Jun 2022 17:40:43 +0100

plasma-framework (5.94.0-0ubuntu2) kinetic; urgency=medium

  * Add kubuntu_revert-desktop-theme-conversion-to-json.patch
    temporarily to fix KDE bug https://bugs.kde.org/453830

 -- Rik Mills <rikmills@kde.org>  Mon, 16 May 2022 08:19:58 +0100

plasma-framework (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Drop included upstream_fix-kde-bug-452512.patch
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:22:41 +0100

plasma-framework (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)
  * Add upstream_fix-kde-bug-452512.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:26:03 +0100
